Kerbal Space Program - Bug #27060

Letting random spammers wipe out content on the bug tracker is Very Bad
01/15/2021 04:59 PM - Dunbaratu

Status: Confirmed Start date: 01/15/2021
Severity: Low % Done: 10%
Assignee:

Category: Bug Tracker

Target version:

Version: Not Applicable Language: English (US)
Platform: Windows Mod Related: No
Expansion: Core Game

Description

A random spammer just vandalized an issue on this tracker. Not merely adding a comment (which | realize is hard to stop when you
let anyone make an anonymous user account), but also destroying the original issue description!!. Please get on top of this
problem. It's not just a joke anymore when they can destroy an issue report rather than merely append to it.

The issue in question is here: https://bugs.kerbalspaceprogram.com/issues/21278 Notice the description has clearly been altered
and is NOT what it originally said (who knows what it originally said - not me).

PS. when the Category of the issue is "Bug Tracker", it's weird that "Platform" is still a mandatory field. How am | supposed to know
what platform the website runs on?

History

#1 - 01/17/2021 04:06 AM - TriggerAu

All the changes made in the ticket are stored and we can restore it for sure - eg the description change can be seen here:
https://bugs.kerbalspaceprogram.com/journals/159036/diff?detail id=263246

Il fix that ticket and raise this one with the tech peeps. Theres no database breach, etc involved its somoene making up an account and editing a
ticket.

Thanks for the heads up
#2 - 01/17/2021 04:06 AM - TriggerAu

- Status changed from New to Confirmed

- % Done changed from 0 to 10

#3 - 01/19/2021 08:20 PM - Dunbaratu
TriggerAu wrote:
Theres no database breach, etc involved its somoene making up an account and editing a ticket.
I would argue that if it's the sort of public site where any random 'bot can create a user account (which | understand is pretty much impossible to stop),

then at least the rule shouldn't be "every user has permission to edit every other user's content". A user should only be able to edit their own content,
unless the user has mod privileges.

#4 - 01/28/2021 11:00 PM - dok_377

Sound good in theory, but | can't even edit my own thing anymore.

04/23/2024 1/1



https://bugs.kerbalspaceprogram.com/issues/21278
https://bugs.kerbalspaceprogram.com/projects/ksp/wiki/_PS_when_the_Category_of_the_issue_is_%22Bug_Tracker%22_it's_weird_that_%22Platform%22_is_still_a_mandatory_field_How_am_I_supposed_to_know_what_platform_the_website_runs_on_
https://bugs.kerbalspaceprogram.com/projects/ksp/wiki/_PS_when_the_Category_of_the_issue_is_%22Bug_Tracker%22_it's_weird_that_%22Platform%22_is_still_a_mandatory_field_How_am_I_supposed_to_know_what_platform_the_website_runs_on_
https://bugs.kerbalspaceprogram.com/journals/159036/diff?detail_id=263246
http://www.tcpdf.org

